using System;
using System.Collections.Generic;
using System.Text;
using System.Reflection;

namespace SetupGrid.ScriptCommands
{
    public class BatchFileCommand : BaseCommand
    {
        #region [ Constructor(s) ]
        public BatchFileCommand(SetupGrid.Properties.SetupDS.tblSetupScriptsRow script, ISetupGridUC ctrl)
            : base(script, ctrl)
        {
        } 
        #endregion

        #region [ Overrided Method(s) ]
        public override void Execute()
        {
            /// D:\Ansari\dot.Net\SarvAndish\SetupGrid\Main\bin\Debug\test.bat

            string batchFile = this.Script.Script;

            //System.Diagnostics.Process.Start(batchFile);

            OnProgress(this, new ProgressEventArgs(25));
            System.Diagnostics.Process proc = new System.Diagnostics.Process();
            proc.EnableRaisingEvents = false;
            proc.StartInfo.FileName = batchFile;
            OnProgress(this, new ProgressEventArgs(50));
            proc.Start();
            proc.WaitForExit();
            OnProgress(this, new ProgressEventArgs(100));
        }

        public override ScriptKind Kind
        {
            get { return ScriptKind.BatchFile; }
        } 
        #endregion
    }
}
