﻿using System;
namespace SetupGrid.ScriptCommands
{
    public enum ScriptKind
    {
        None, Method, SQLScript, BatchFile
    }

    public interface IBaseCommand
    {
        event ProgressEventHandler Progress;
        ScriptKind Kind { get; }
        void Execute();
        SetupGrid.Properties.SetupDS.tblSetupScriptsRow Script { get; }
    }
}
